Session Tool Denials

Operations of the Interactive Session API. Paths are relative to your deployment's API host.

GET /api/agent-session-api/sessions/{id}/tool-denials

List the tool calls the session's hook points refused or failed closed, newest first

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyesSession ID
cursorquerystringnoOpaque cursor from a previous page's nextCursor.
limitquerynumbernoPage size (default 50, max 200).
StatusDescriptionBody
200application/json SessionToolDenialDtoCursorPaginatedEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto